Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.mindprod.csv
Enum CSVCharCategory

    java.lang.Object
      java.lang.Enum<CSVCharCategory>
          com.mindprod.csv.CSVCharCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CSVCharCategory>

    public enum CSVCharCategory

extends java.lang.Enum<CSVCharCategory>

enumeration of the classes of characters processed by the CSV finite state automaton.

Since:
  2009-03-24
Version:
  1.0 2009-03-24 - initial version
Author:
  Roedy Green, Canadian Mind Products

Enum Constant Summary
`COMMENT_START`
`ORDINARY`
`QUOTE`
`SEPARATOR`
`WHITESPACE`

Method Summary
`static CSVCharCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CSVCharCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMENT_START

    public static final CSVCharCategory COMMENT_START

### ORDINARY

    public static final CSVCharCategory ORDINARY

### QUOTE

    public static final CSVCharCategory QUOTE

### SEPARATOR

    public static final CSVCharCategory SEPARATOR

### WHITESPACE

    public static final CSVCharCategory WHITESPACE

Method Detail

### values

    public static CSVCharCategory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CSVCharCategory c : CSVCharCategory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CSVCharCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD